﻿@using SSCMvc.Models;
@model SSCMvc.Models.User

@{
    ViewBag.Title = "Details";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="header">
    <div class="stats">
    </div>

    <h1 class="page-title">User Details</h1>
</div>
<ul class="breadcrumb">
    <li>@Html.ActionLink("Home", "Index", "User") <span class="divider">/</span></li>
    <li class="active">Dashboard</li>
</ul>

<table align="center" style="width: 500px">
    <tr>
        <td style="width: 100%">
            <fieldset>

                <legend>User</legend>
                <table align="center" style="width: 100%">
                    <tr>
                        <td align="left" style="width: 140px">@Html.DisplayNameFor(model => model.MaBranch.BramchName)</td>
                        <td align="left">@Html.DisplayFor(model => model.MaBranch.BramchName)</td>
                    </tr>

                    <tr>
                        <td>@Html.DisplayNameFor(model => model.username)</td>
                        <td>@Html.DisplayFor(model => model.username)</td>
                    </tr>

                    <tr>
                        <td align="left">@Html.DisplayNameFor(model => model.Password)</td>
                        <td align="left">@Html.DisplayFor(model => model.Password)</td>
                    </tr>


                    <tr>
                        <td>@Html.DisplayNameFor(model => model.Email)</td>
                        <td>@Html.DisplayFor(model => model.Email)</td>
                    </tr>
                    <tr>
                        <td>@Html.DisplayNameFor(model => model.Fullname)</td>
                        <td>@Html.DisplayFor(model => model.Fullname)</td>
                    </tr>
                    <tr>
                        <td>@Html.DisplayNameFor(model => model.Mobile)</td>
                        <td>@Html.DisplayFor(model => model.Mobile)</td>
                    </tr>
                    <tr>
                        <td>@Html.DisplayNameFor(model => model.DateOfJoin)</td>
                        <td>@Html.DisplayFor(model => model.DateOfJoin)</td>
                    </tr>
                    <tr>
                        <td>@Html.DisplayNameFor(model => model.DateOfLeav)</td>
                        <td>@Html.DisplayFor(model => model.DateOfLeav)</td>
                    </tr>

                    <tr>
                        @{

                            SSCWebDBEntities1 db = new SSCWebDBEntities1();
                            string role = "";
                            try
                            {
                                role = db.MaRoles.Where(a => a.Id == Model.RollId).Select(a => a.RollName).FirstOrDefault();
                            }
                            catch (Exception ex)
                            {
                            }

                        }
                        <td>@Html.DisplayNameFor(model => model.Usertype)</td>
                        <td>@Html.DisplayFor(model => model.Usertype)</td>
                    </tr>
                    <tr>
                        <td>@Html.DisplayNameFor(model => model.RollId)</td>
                        <td>
                            @role
                            </td>
                        </tr>
                        <tr>
                            <td>@Html.DisplayNameFor(model => model.SubRole)</td>
                            <td>@Html.DisplayFor(model => model.SubRole)</td>
                        </tr>
                        <tr>
                            <td>@Html.DisplayNameFor(model => model.Email)</td>
                            <td>@Html.DisplayFor(model => model.Email)</td>
                        </tr>
                        @*<tr>
                                <td>@Html.DisplayNameFor(model => model.MaDesignation.Designation)</td>
                                <td>@Html.DisplayFor(model => model.MaDesignation.Designation)</td>
                            </tr>*@
                        <tr>
                            <td>@Html.DisplayNameFor(model => model.Remarks)</td>
                            <td>@Html.DisplayFor(model => model.Remarks)</td>
                        </tr>
                        <tr>
                            <td>@Html.DisplayNameFor(model => model.Status)</td>
                            <td>@Html.DisplayFor(model => model.Status)</td>
                        </tr>

                    </table>

                </fieldset>

                <div>
                    @Html.ActionLink("Edit", "Edit", new { id = Model.Id }) |
                    @Html.ActionLink("Back to List", "Index")
                </div>
            </td>
        </tr>
    </table>
